Name:           python-turkeyutils
Version:        0.6.1
Release:        %autorelease
Summary:        keyutils bindings for Python

License:        ASL 2.0
URL:            https://github.com/lilatomic/turkeyutils
Source:         %{pypi_source turkeyutils}

BuildRequires:  python3-devel
BuildRequires:  keyutils-libs-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
python-turkeyutils is a set of python bindings for keyutils, a key management
suite that leverages the infrastructure provided by the Linux kernel for safely
storing and retrieving sensitive infromation in your programs.}

%description %_description

%package -n     python3-turkeyutils
Summary:        %{summary}

%description -n python3-turkeyutils %_description


%prep
%autosetup -p1 -n turkeyutils-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l keyutils


%check
%pyproject_check_import


%files -n python3-turkeyutils -f %{pyproject_files}


%changelog
%autochangelog
